[all]
copyright=(C) 2005, cFos Software GmbH
designer=Ingo Guenther
version=cFosSkin V1.0
type=net
name=Aquarium Icon
background=icon_back.png
blend_time=300
blend_out_time=500
transparentcolor=255,0,0
icon=1

[disp1]
products=cfosspeed
value=total_rx_speed
method=animation
rect=0,0,16,12
bitmap=icon_rx_bar.png
min=0
max=100
frames=1
break1=1
frames2=10
updatetime=80
enabled=1
alpha_val=100

[disp2]
products=cfosspeed
value=total_tx_speed
method=animation
rect=1,2,16,12
bitmap=icon_tx_bar.png
min=0
max=100
frames=1
break1=1
frames2=10
updatetime=80
enabled=1
alpha_val=100

[disp3]
value=rx_speed
method=animation
rect=0,0,16,12
bitmap=icon_rx_bar.png
min=0
max=100
frames=1
break1=1
frames2=10
updatetime=80
enabled=1

[disp4]
value=tx_speed
method=animation
rect=1,2,16,12
bitmap=icon_tx_bar.png
min=0
max=100
frames=1
break1=1
frames2=10
updatetime=80
enabled=1

[disp5]
value=tx_shape_fast
method=delta
start=0
disp=shape_disp
updatetime=1360

[shape_disp]
method=motion
bitmap=icon_shape.png
rect=1,0,13,11
min=1
frames=17
idleframe=1
alpha_channel=1
updatetime=80
enabled=1

; number of tcp connections (text)
[disp6]
value=tcp_cnt
method=text
rect=3,1,15,7
fontbitmap=icon_num_chars.png
framewidth=4
frameheight=6
fontbitmapchars=0 123456789.
digits=3
format=r
transform1=50,0,0,70,255,255,50,0,0,70,230,220
enabled=0

;ping time (text)
[disp7]
value=ping_time
method=text
rect=3,7,15,13
fontbitmap=icon_num_chars.png
framewidth=4
frameheight=6
fontbitmapchars=0 123456789.
digits=3
format=r
style=e
transform1=50,0,0,70,255,255,200,0,0,201,64,255
enabled=0

[disp8]
value=ping_time
method=text
rect=3,6,15,12
fontbitmap=icon_num_chars.png
framewidth=4
frameheight=6
fontbitmapchars=0 123456789.
digits=3
format=r
style=e
transform1=50,0,0,70,255,255,200,0,0,201,64,255
enabled=1

; downstream speed in percent (text)
[disp9]
value=rx_speed
method=text
rect=3,1,15,7
fontbitmap=icon_num_chars.png
framewidth=4
frameheight=6
fontbitmapchars=0 123456789.
digits=3
format=r
transform1=50,0,0,70,255,255,30,180,255,31,210,255
enabled=0

; upstream speed in percent (text)
[disp10]
value=tx_speed
method=text
rect=3,7,15,13
fontbitmap=icon_num_chars.png
framewidth=4
frameheight=6
fontbitmapchars=0 123456789.
digits=3
format=r
transform1=50,0,0,70,255,255,120,0,0,121,255,230
enabled=0

; packet counter downstream
[rx_disp]
method=history
updatetime=80
updateinterval=5
historysize=10
hdisp1=rx_c1
hdisp2=rx_c2
hdisp3=rx_c3
hdisp4=rx_c4
hdisp5=rx_c5
hdisp6=rx_c6
hdisp7=rx_c7
hdisp8=rx_c8
hdisp9=rx_c9
hdisp10=rx_c10

[rx_c1]
method=animation
bitmap=icon_rx_c10.png
rect=1,11,8,16
min=0
max=1
frames=2
alpha_val=130

[rx_c2]
method=animation
bitmap=icon_rx_c9.png
rect=1,11,8,16
min=0
max=1
frames=2
alpha_val=180

[rx_c3]
method=animation
bitmap=icon_rx_c8.png
rect=1,12,8,16
min=0
max=1
frames=2
alpha_val=220

[rx_c4]
method=animation
bitmap=icon_rx_c7.png
rect=1,12,8,16
min=0
max=1
frames=2

[rx_c5]
method=animation
bitmap=icon_rx_c6.png
rect=1,12,8,16
min=0
max=1
frames=2

[rx_c6]
method=animation
bitmap=icon_rx_c5.png
rect=1,12,8,16
min=0
max=1
frames=2

[rx_c7]
method=animation
bitmap=icon_rx_c4.png
rect=1,12,8,16
min=0
max=1
frames=2

[rx_c8]
method=animation
bitmap=icon_rx_c3.png
rect=1,12,8,16
min=0
max=1
frames=2

[rx_c9]
method=animation
bitmap=icon_rx_c2.png
rect=1,12,8,16
min=0
max=1
frames=2

[rx_c10]
method=animation
bitmap=icon_rx_c1.png
rect=1,12,8,16
min=0
max=1
frames=2
alpha_channel=1

[disp11]
value=rx_data_cnt
method=delta
start=0
disp=rx_disp
updatetime=400

; packet counter upstream
[tx_disp]
method=history
updatetime=80
updateinterval=5
historysize=10
hdisp1=tx_c1
hdisp2=tx_c2
hdisp3=tx_c3
hdisp4=tx_c4
hdisp5=tx_c5
hdisp6=tx_c6
hdisp7=tx_c7
hdisp8=tx_c8
hdisp9=tx_c9
hdisp10=tx_c10

[tx_c1]
method=animation
bitmap=icon_tx_c1.png
rect=9,12,16,16
min=0
max=1
frames=2
alpha_val=90

[tx_c2]
method=animation
bitmap=icon_tx_c2.png
rect=9,12,16,16
min=0
max=1
frames=2
alpha_val=170

[tx_c3]
method=animation
bitmap=icon_tx_c3.png
rect=9,12,16,16
min=0
max=1
frames=2

[tx_c4]
method=animation
bitmap=icon_tx_c4.png
rect=9,12,16,16
min=0
max=1
frames=2

[tx_c5]
method=animation
bitmap=icon_tx_c5.png
rect=9,12,16,16
min=0
max=1
frames=2

[tx_c6]
method=animation
bitmap=icon_tx_c6.png
rect=9,12,16,16
min=0
max=1
frames=2

[tx_c7]
method=animation
bitmap=icon_tx_c7.png
rect=9,12,16,16
min=0
max=1
frames=2

[tx_c8]
method=animation
bitmap=icon_tx_c8.png
rect=9,12,16,16
min=0
max=1
frames=2
alpha_val=220

[tx_c9]
method=animation
bitmap=icon_tx_c9.png
rect=9,11,16,16
min=0
max=1
frames=2
alpha_val=180

[tx_c10]
method=animation
bitmap=icon_tx_c10.png
rect=9,11,16,16
min=0
max=1
frames=2
alpha_val=130

[disp12]
value=tx_data_cnt
method=delta
start=0
disp=tx_disp
updatetime=400

; activate cover for toggle buttons if box not open
[disp13]
value=open
method=activate
min=1
max=1
catch_mouse=1

; switch to rx_speed/tx_speed numeric
[disp14]
method=activearea
bitmap=icon_switch.png
rect=6,8,15,15
action=toggle
target=disp6,disp7,disp9,disp10,disp14,disp15
blend_time=250
enabled=0

; switch to rx_speed/tx_speed graphic
[disp15]
method=activearea
bitmap=icon_switch.png
rect=6,8,15,15
action=toggle
target=disp1,disp2,disp3,disp4,disp8,disp9,disp10,disp15,disp16
blend_time=250
enabled=0

; switch to ping & tcp
[disp16]
method=activearea
bitmap=icon_switch.png
rect=6,8,15,15
action=toggle
target=disp1,disp2,disp3,disp4,disp6,disp7,disp8,disp14,disp16,
blend_time=250
enabled=1

;open connection console
[disp17]
method=activearea
bitmap=icon_switch2.png
rect=6,1,15,8
action=exec
target=mshta.exe
parameters="~p\pub\console.htm"
blend_time=250

; open box when online
[disp18]
value=open
method=slider
rect=0,0,16,16
bitmap=icon_open.png
scale=17
min=0
max=17
stepsize=1
frames=18
updatetime=80
force_blit=1

[disp19]
value=expired
method=animation
bitmap=expired.png
rect=0,0,16,16
min=0
max=1
frames=2

; activate message button
[disp20]
products=cfosspeed
method=activate
value=msg_avail
min=1
max=1
target=disp21

[disp21]
products=cfosspeed
method=activearea
bitmap=message.png
rect=0,2,16,14
action=show_message
print_allowed=0
regions=0
blend_in=128
blend_time=200
